> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/it/knowledge-base/how-to-articles/add-a-proxy-in-devolutions-server.md).

# Aggiungere un proxy in Devolutions Server

Per aggiungere un proxy in Devolutions Server, è necessario aggiungere alcune righe di comando al file **web.config**.

1. Individui e apra il file **web.config**. La sua posizione predefinita è **C:\inetpub\wwwroot\dvls\web.config**.
2. Nel file, individui i tag `<environmentVariables>` e `</environmentVariables>`.
3. Aggiunga il seguente codice tra di essi, sostituendo i valori con le proprie informazioni:

   ```
   <environmentVariables>
     <environmentVariable name="ASPNETCORE_ENVIRONMENT" value="Production" />
     <environmentVariable name="http_proxy" value="http://proxy:port" />
     <environmentVariable name="https_proxy" value="http://proxy:port" />
   </environmentVariables>
   ```

{% hint style="info" %}
Per ulteriori opzioni, consulti [Configure using environment variables](https://learn.microsoft.com/en-ca/dotnet/azure/sdk/configure-proxy?tabs=cmd#configure-using-environment-variables).
{% endhint %}

4\. Salvi e chiuda il file.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/server/it/knowledge-base/how-to-articles/add-a-proxy-in-devolutions-server.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
